#
# spec file for package perl-IO-Tty (Version 0.04)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-IO-Tty
Copyright:    GPL
Group:        Development/Libraries/Perl
Provides:     perl-IO-Tty
Autoreqprov:  on
Summary:      Provide an interface to pseudo tty's
Version:      0.04
Release:      105
Source:       IO-Tty-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
IO::Tty is a perl module that provide an interface to pseudo tty's

Authors:
--------
    Graham Barr <gbarr@ti.com>
    Nick Ing-Simmons <nik@tiuk.ti.com>

SuSE series: perl

%prep
%setup -n IO-Tty-%{version}

%build
perl Makefile.PL
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-IO-Tty
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/IO/Tty
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc COPYING ChangeLog MANIFEST README
/%{perl_sitearch}/IO/Pty.pm
/%{perl_sitearch}/IO/Tty.pm
/%{perl_sitearch}/auto/IO/Tty/Tty.bs
/%{perl_sitearch}/auto/IO/Tty/Tty.so
%doc %{_mandir}/man3/*
/var/adm/perl-modules/perl-IO-Tty

%changelog -n perl-IO-Tty
* Thu Jun 21 2001 - mc@suse.de
- fixed the specfile. Used more RPM macros.
* Tue Feb 13 2001 - mc@suse.de
- fixed the specfile
* Thu Feb 08 2001 - mc@suse.de
- first package, v0.04
